<template>
  <transition name="dialog-fade">
    <el-dialog
      v-if="showDialog"
      :title="dialogTitle"
      class="dialog-component"
      v-model="showDialog"
      width="440px"
      @close="closeDialog(0)"
    >
      <el-form
        ref="formInfo"
        :model="formInfo"
        class="demo-form-inline"
        label-width="140px"
        :rules="rules"
      >
       
        <el-form-item :label="dialogTitle+'理由'" prop="remark">
          <el-input v-model="formInfo.remark" type="textarea"></el-input>
        </el-form-item>
    
        <br />
        <br />
        <br />
        <div style="text-align: right">
          <el-button @click="closeDialog(0)">取消</el-button>
          <el-button type="primary" @click="submitForm('formInfo')">
            保存
          </el-button>
        </div>
      </el-form>
    </el-dialog>
  </transition>
</template>

<script>
export default {
  name: 'HandleDialog',
  props: {
    dialogTitle: {
      type: String,
     
    },
    itemInfo: {
      type: Object,
      default: function () {
        return {}
      },
    },
  },
  data() {
    return {
      showDialog: false,
      formInfo: JSON.parse(JSON.stringify(this.itemInfo)),

      dialogImageUrl: '',
      dialogVisible: false,

      options: [
        {
          value: '选项1',
          label: '设备一',
        },
        {
          value: '选项2',
          label: '设备二',
        },
        {
          value: '选项3',
          label: '设备三',
        },
        {
          value: '选项4',
          label: '设备四',
        },
        {
          value: '选项5',
          label: '设备五',
        },
      ],

      rules: {
        workType: [
          // required  是否为必填项， trigger:表单验证的触发时机，失去焦点进行验证
          { required: false, message: '请输入工单类型', trigger: 'blur' },
          {
            min: 3,
            max: 6,
            message: '用户名长度在 3 到 6 个字符',
            trigger: 'blur',
          },
        ],
        deviceName: [
          { required: true, message: '请输入设备名称', trigger: 'blur' },
          {
            min: 3,
            max: 6,
            message: '用户名长度在 3 到 6 个字符',
            trigger: 'blur',
          },
        ],
        stationAddress: [
          { required: true, message: '请输入台区地址', trigger: 'blur' },
          {
            min: 3,
            max: 6,
            message: '用户名长度在 3 到 6 个字符',
            trigger: 'blur',
          },
        ],
        workexecutorType: [
          // required  是否为必填项， trigger:表单验证的触发时机，失去焦点进行验证
          {
            required: false,
            message: '请选择运维班组/执行人',
            trigger: 'blur',
          },
          {
            min: 3,
            max: 6,
            message: '用户名长度在 3 到 6 个字符',
            trigger: 'blur',
          },
        ],
        achievementTime: [
          { required: true, message: '请输入预期完成时间', trigger: 'blur' },
          { trigger: 'blur' },
        ],
        remark: [
          { required: true, message: '请输入'+dialogTitle+'理由', trigger: 'blur' },
          { trigger: 'blur' },
        ],
        date1: [
          {
            type: 'date',
            required: true,
            message: 'Please pick a date',
            trigger: 'change',
          },
        ],
      },
    }
  },
  methods: {
    handleRemove(file, fileList) {
      console.log(file, fileList)
    },
    handlePictureCardPreview(file) {
      this.dialogImageUrl = file.url
      this.dialogVisible = true
    },

    roleValid(rule, value, callback) {
      rule
      if (value.length === 0) {
        callback(new Error('角色不能为空'))
      } else {
        callback()
      }
    },

    // onSelectedDrug(event) {
    //   this.executor = event;
    //   console.log(this.executor);
    // },
    // 保存操作
    submitForm(formName) {
      const params = Object.assign(this.formInfo, {})
      params
      this.$refs[formName].validate((valid) => {
        if (valid) {
          // 走保存请求
          this.$message({
            message: '操作成功！',
            type: 'success',
          })
          this.closeDialog(1)
        } else {
          return false
        }
      })
    },
    // 关闭弹框
    closeDialog(flag) {
      this.$refs['formInfo'].resetFields()
      this.showDialog = false
      this.$emit('closeDialog', flag)
    },
  },
}
</script>
 
<style scoped lang="scss">
.el-input,
.el-select {
  width: 240px;
}
</style>